# PendingTransactionEntity

    public protocol PendingTransactionEntity : AbstractTransaction, RawIdentifiable, SignedTransactionEntity

Represents a sent transaction that has not been confirmed yet on the blockchain

- `toAddress`

  recipient address

  #### Declaration

  Swift

      var toAddress: String { get set }

- `accountIndex`

  index of the account from which the funds were sent

  #### Declaration

  Swift

      var accountIndex: Int { get set }

- `minedHeight`

  height which the block was mined at. -1 when block has not been mined yet

  #### Declaration

  Swift

      var minedHeight: BlockHeight { get set }

- `expiryHeight`

  height for which the represented transaction would be considered expired

  #### Declaration

  Swift

      var expiryHeight: BlockHeight { get set }

- `cancelled`

  value is 1 if the transaction was cancelled

  #### Declaration

  Swift

      var cancelled: Int { get set }

- `encodeAttempts`

  how many times this transaction encoding was attempted

  #### Declaration

  Swift

      var encodeAttempts: Int { get set }

- `submitAttempts`

  How many attempts to send this transaction have been done

  #### Declaration

  Swift

      var submitAttempts: Int { get set }

- `errorMessage`

  Error message if available.

  #### Declaration

  Swift

      var errorMessage: String? { get set }

- `errorCode`

  error code, if available

  #### Declaration

  Swift

      var errorCode: Int? { get set }

- `createTime`

  create time of the represented transaction

  Note

  represented in timeIntervalySince1970

  #### Declaration

  Swift

      var createTime: TimeInterval { get set }

- `isSameTransactionId(other:)`

  Checks whether this transaction is the same as the given transaction

  #### Declaration

  Swift

      func isSameTransactionId<T>(other: T) -> Bool where T : RawIdentifiable

- `isPending(currentHeight:)` Default implementation

  returns whether the represented transaction is pending based on the provided block height

  #### Default Implementation

  #### Declaration

  Swift

      func isPending(currentHeight: Int) -> Bool

- `isCreating` Default implementation

  if the represented transaction is being created

  #### Default Implementation

  #### Declaration

  Swift

      var isCreating: Bool { get }

- `isFailedEncoding` Default implementation

  returns whether the represented transaction has failed to be encoded

  #### Default Implementation

  #### Declaration

  Swift

      var isFailedEncoding: Bool { get }

- `isFailedSubmit` Default implementation

  returns whether the represented transaction has failed to be submitted

  #### Default Implementation

  #### Declaration

  Swift

      var isFailedSubmit: Bool { get }

- `isFailure` Default implementation

  returns whether the represented transaction presents some kind of error

  #### Default Implementation

  #### Declaration

  Swift

      var isFailure: Bool { get }

- `isCancelled` Default implementation

  returns whether the represented transaction has been cancelled by the user

  #### Default Implementation

  #### Declaration

  Swift

      var isCancelled: Bool { get }

- `isMined` Default implementation

  returns whether the represented transaction has been successfully mined

  #### Default Implementation

  #### Declaration

  Swift

      var isMined: Bool { get }

- `isSubmitted` Default implementation

  returns whether the represented transaction has been submitted

  #### Default Implementation

  #### Declaration

  Swift

      var isSubmitted: Bool { get }

- `isSubmitSuccess` Default implementation

  returns whether the represented transaction has been submitted successfully

  #### Default Implementation

  #### Declaration

  Swift

      var isSubmitSuccess: Bool { get }

- `isSameTransaction(other:)` Extension method

  Undocumented

  #### Declaration

  Swift

      func isSameTransaction<T>(other: T) -> Bool where T : RawIdentifiable

- `isConfirmed(currentHeight:)` Extension method

  Undocumented

  #### Declaration

  Swift

      func isConfirmed(currentHeight: Int = -1) -> Bool

- `transactionEntity` Extension method

  TransactionEntity representation of this PendingTransactionEntity transaction

  #### Declaration

  Swift

      var transactionEntity: TransactionEntity { get }

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.